Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.reflection
[Java] Class GeneratedMetaMethod.DgmMethodRecord

    java.lang.Object
      org.codehaus.groovy.reflection.GeneratedMetaMethod.DgmMethodRecord

All Implemented Interfaces:
  Serializable

    public static class GeneratedMetaMethod.DgmMethodRecord

Field Summary
`String` | `className`
`String` | `methodName`
`Class[]` | `parameters`
`Class` | `returnType`

Method Summary
`static List` | `loadDgmInfo()`
`static void` | `saveDgmInfo(List records, String file)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### className

    public String className

### methodName

    public String methodName

### parameters

    public Class[] parameters

### returnType

    public Class returnType

Method Detail

### loadDgmInfo

    public static List loadDgmInfo()

### saveDgmInfo

    public static void saveDgmInfo(List records, String file)

Copyright © 2003-2010 The Codehaus. All rights reserved.